/*
 * (C) Copyright 2009 Nuxeo SA (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * Contributors:
 *     Florent Guillaume
 */
package org.nuxeo.ws.jms;

import java.net.URL;
import java.util.List;

import org.apache.chemistry.ws.CmisRepositoryEntryType;
import org.apache.chemistry.ws.RepositoryService;
import org.apache.chemistry.ws.RepositoryServicePort;

/**
 * Example call of the repository service through WS (SOAP).
 */
public class ExampleClient {

    public static String listRepositories() throws Exception {
        URL wsdlUrl = ExampleClient.class.getResource("/wsdl/CMISWS-Service-JMS.wsdl");

        RepositoryService service = new RepositoryService(wsdlUrl);
        RepositoryServicePort proxy = service.getRepositoryServicePort();

        List<CmisRepositoryEntryType> repositories = proxy.getRepositories();

        StringBuilder buf = new StringBuilder("Repositories available:\n");
        for (CmisRepositoryEntryType repository : repositories) {
            buf.append(repository.getName());
            buf.append('\n');
        }
        return buf.toString();
    }
}
